<?php
// look up for the path
require_once( dirname(dirname(__FILE__)) . '/wordpress-simple-paypal-shopping-cart-ui.bootstrap.php');

global $wpdb;

// check for rights
if (!is_user_logged_in() || !current_user_can('edit_posts')) {
    wp_die(__("You are not allowed to be here"));
}
?>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
    <head>
        <title>UI for WP Simple Paypal Shopping Cart</title>
        <meta http-equiv="Content-Type" content="text/html; charset=UTF-8" />
        <script language="javascript" type="text/javascript" src="<?php echo get_option('siteurl') ?>/wp-includes/js/tinymce/tiny_mce_popup.js"></script>
        <script language="javascript" type="text/javascript" src="<?php echo get_option('siteurl') ?>/wp-includes/js/tinymce/utils/mctabs.js"></script>
        <script language="javascript" type="text/javascript" src="<?php echo get_option('siteurl') ?>/wp-includes/js/tinymce/utils/form_utils.js"></script>

        <script language="javascript" type="text/javascript">
            function init() {
                tinyMCEPopup.resizeToInnerSize();
            }

            // http://www.tipsandtricks-hq.com/ecommerce/simple-wp-shopping-cart-installation-usage-290
            function insertLinkWWUISPSC() {
                var extra = '';
                var content;
                var template = '<p>[wp_cart:%%PRODUCT-NAME%%:price:%%PRODUCT-PRICE%%%%EXTRA%%:end]</p>';
		
                var wpsppsc = document.getElementById('wpsppsc_panel');

                var product_name = document.getElementById('wpsppsc_product_name').value;
                var product_price = document.getElementById('wpsppsc_product_price').value;
                var shipping = document.getElementById('wpsppsc_shipping').value;
                var sizes = document.getElementById('wpsppsc_sizes').value;
                var colors = document.getElementById('wpsppsc_colors').value;
				
                var custom1_id = document.getElementById('wpsppsc_custom1_id').value;
                var custom1_vals = document.getElementById('wpsppsc_custom1_values').value;
				
                var custom2_id = document.getElementById('wpsppsc_custom2_id').value;
                var custom2_vals = document.getElementById('wpsppsc_custom2_values').value;
				
				var seq = 1; // Shopping cart needs VAR1, VAR2 etc.
				
                // who is active ?
                if (wpsppsc.className.indexOf('current') != -1) {
                    product_name = product_name.replace(/</g, '').replace(/\n/g, '').replace(/^\s*/g, '').replace(/\s*$/g, '').replace(/:+/g, '-');
                    product_price = product_price.replace(/[^\d-.]/g, '');
                    sizes = sizes.replace(/</g, '').replace(/\n/g, '').replace(/^[\s,]*/g, '').replace(/[\s,]*$/g, '').replace(/\s*,+\s*/g, '|').replace(/:+/g, '');
                    colors = colors.replace(/</g, '').replace(/\n/g, '').replace(/^[\s,]*/g, '').replace(/[\s,]*$/g, '').replace(/\s*,+\s*/g, '|').replace(/:+/g, '');
                    shipping = shipping.replace(/[^\d-.]/gi, '');
					
					custom1_id = custom1_id.replace(/[<>\r\n:]+/g, '').replace(/^\s*/g, '').replace(/\s*$/g, '');
                    custom1_vals = custom1_vals.replace(/[<>\r\n:]+/gi, '').replace(/^[\s,]*/g, '').replace(/[\s,]*$/g, '').replace(/\s*,+\s*/g, '|');
					
					custom2_id = custom2_id.replace(/[<>\r\n:]+/g, '').replace(/^\s*/g, '').replace(/\s*$/g, '');
                    custom2_vals = custom2_vals.replace(/[<>\r\n:]+/gi, '').replace(/^[\s,]*/g, '').replace(/[\s,]*$/g, '').replace(/\s*,+\s*/g, '|');

                    // Validations
                    if (product_name == '') {
                        alert('Please enter product name');
                        document.getElementById('wpsppsc_product_name').focus();
                        return false;
                    }

                    product_price = product_price || 0;
					
                    if (product_price == 0) {
                        alert('Please enter product price');
                        document.getElementById('wpsppsc_product_price').focus();
                        return false;
                    }
                    
                    shipping = shipping || 0;
                    
                    if (shipping) {
                        extra += ':shipping:' + shipping;
                    }

                    // eg. left_bracket2wp_cart:Demo Product 1:price:15:var1[Size|Small|Medium|Large]:end]
                    if (sizes) {
                        extra += ':var' + seq + '[Size|' + sizes + ']';
						seq++;
                    }
                    
                    if (colors) {
                        extra += ':var' + seq + '[Colour|' + colors + ']';
						seq++;
                    }
					
					// e.g. custom1_id: Format | custom1_vals: PAL, Secam
					if (custom1_id) {
                        extra += ':var' + seq + '[' + custom1_id + '|' + custom1_vals + ']';
						seq++;
                    }
					
					if (custom2_id) {
                        extra += ':var' + seq + '[' + custom2_id + '|' + custom2_vals + ']';
						seq++;
                    }

                    content = template;
                    content = content.replace(/%%PRODUCT-NAME%%/ig, product_name).replace(/%%PRODUCT-PRICE%%/ig, product_price);
                    content = content.replace(/%%EXTRA%%/ig, extra);
                }
            
                if (window.tinyMCE) {
                    window.tinyMCE.execInstanceCommand('content', 'mceInsertContent', false, content);
                    //Peforms a clean up of the current editor HTML.
                    //tinyMCEPopup.editor.execCommand('mceCleanup');
                    //Repaints the editor. Sometimes the browser has graphic glitches.
                    tinyMCEPopup.editor.execCommand('mceRepaint');
                    tinyMCEPopup.close();
                }
		
                return;
            }
        </script>
        <base target="_self" />
    </head>
    <body id="advimage" onload="tinyMCEPopup.executeOnLoad('init();');document.body.style.display='';document.getElementById('wpsppsc_product_name').focus();" style="display: none">        
        <form name="wpsppsc_form" action="#">
            <div class="tabs">
                <ul>
                    <li id="wpsppsc_tab" class="current"><span><a href="javascript:mcTabs.displayTab('wpsppsc_tab','wpsppsc_panel');" onmousedown="return false;"><?php _e("UI for WP Simple Paypal Shopping cart", 'WPSPPSC'); ?></a></span></li>
                </ul>
            </div>

            <div class="panel_wrapper">
                <!-- panel -->
                <div id="wpsppsc_panel" class="panel current">
                    <br />
                    <table border="0" cellpadding="4" cellspacing="0">
                        <tr>
                            <td nowrap="nowrap">
                                <label for="wpsppsc_product_name"><?php _e("Product Name", 'WPSPPSC'); ?></label>
                            </td>
                            <td>
                                <input type="text" id="wpsppsc_product_name" name="wpsppsc_product_name" value="" />
                            </td>
                            <td>
                                Example: My Great Product
                            </td>
                        </tr>
                        <tr>
                            <td nowrap="nowrap">
                                <label for="wpsppsc_product_price"><?php _e("Price", 'WPSPPSC'); ?></label>
                            </td>
                            <td>
                                <input type="text" id="wpsppsc_product_price" name="wpsppsc_product_price" value="" />
                            </td>
                            <td>
                                Example: 10 or 10.50
                            </td>
                        </tr>
                        <tr>
                            <td nowrap="nowrap">
                                <label for="wpsppsc_shipping"><?php _e("Shipping", 'WPSPPSC'); ?></label>
                            </td>
                            <td>
                                <input type="text" id="wpsppsc_shipping" name="wpsppsc_shipping" value="" />
                            </td>
                            <td>
                                Example: 10 or 10.50
                            </td>
                        </tr>
                        <tr>
                            <td nowrap="nowrap">
                                <label for="wpsppsc_sizes"><?php _e("Sizes", 'WPSPPSC'); ?></label>
                            </td>
                            <td>
                                <input type="text" id="wpsppsc_sizes" name="wpsppsc_sizes" value="" />
                            </td>
                            <td>
                                (Optional) Example: small, large, extra large
                            </td>
                        </tr>
                        <tr>
                            <td nowrap="nowrap">
                                <label for="wpsppsc_colors"><?php _e("Colours", 'WPSPPSC'); ?></label>
                            </td>
                            <td>
                                <input type="text" id="wpsppsc_colors" name="wpsppsc_colors" value="" />
                            </td>
                            <td>
                               (Optional) Example: blue,red,orange,black,white
                            </td>
                        </tr> 
                        <tr>
                            <td nowrap="nowrap" colspan="3">
								<br/>
                                <strong>Custom Fields (Optional)</strong>
								<p>Example: For DVD sales | Name: Format | Values: PAL, NTSC</p>
                            </td>
                        </tr> 
						<tr>
                            <td nowrap="nowrap">
                                <label for="wpsppsc_colors"><?php _e("Custom 1: Name", 'WPSPPSC'); ?></label>
                            </td>
                            <td><input type="text" id="wpsppsc_custom1_id" name="wpsppsc_custom1_id" value="" />
                            </td>
                            <td>
                               <?php _e("Values", 'WPSPPSC'); ?> 
							   <input type="text" id="wpsppsc_custom1_values" name="wpsppsc_custom1_values" value="" />
                            </td>
                        </tr>						
						<tr>
                            <td nowrap="nowrap">
                                <label for="wpsppsc_colors"><?php _e("Custom 2: Name", 'WPSPPSC'); ?></label>
                            </td>
                            <td><input type="text" id="wpsppsc_custom2_id" name="wpsppsc_custom2_id" value="" />
                            </td>
                            <td>
                               <?php _e("Values", 'WPSPPSC'); ?>
							   <input type="text" id="wpsppsc_custom2_values" name="wpsppsc_custom2_values" value="" />
                            </td>
                        </tr>						
						<tr>
                            <td nowrap="nowrap" colspan="3">
                                Note: The <a href="http://www.tipsandtricks-hq.com/ecommerce/wp-shopping-cart" target="_blank">WP Simple Shopping Cart</a>
								allows you to use only two variations.<br/>
								For example if you use colours and sizes you *can't* use custom fields. <br/>								
								If you use the two custom fields you *can't* use the sizes and colours fields.
                            </td>
                        </tr>
                    </table>
                </div>
                <!-- end panel -->
            </div>

            <div class="mceActionPanel">
                <div style="float: left">
                    <input type="submit" id="insert" name="insert" value="<?php _e("Insert", 'WPSPPSC'); ?>" onclick="insertLinkWWUISPSC();return false;" />
                </div>

                <div style="float: right">
                    <input type="button" id="cancel" name="cancel" value="<?php _e("Cancel", 'WPSPPSC'); ?>" onclick="tinyMCEPopup.close();" />
                </div>
            </div>
        </form>
    </body>
</html>
<?php
?>